Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/releases/1.2.11/configure

    r2975 r2985  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068 
    1069   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1068  --enable-doscompile     Under Cygwin, compile so that executables run under
     1069                          DOS. Set to mingw to use gcc/g++/ld with
     1070                          -mno-cygwin. Set to msvc to use cl/link (or
     1071                          icl/link). Default when mentioned: mingw. Default
     1072                          when not mentioned: disabled.
    10701073  --enable-static[=PKGS]
    10711074                          build static libraries [default=no]
     
    18871890
    18881891# Get the name of the C compiler and compiler flags
    1889 
    1890 
    1891   # for backward compatibility
    1892   # Check whether --enable-doscompile or --disable-doscompile was given.
    1893 if test "${enable_doscompile+set}" = set; then
    1894   enableval="$enable_doscompile"
    1895   enable_doscompile=$enableval
    1896 else
    1897   enable_doscompile=no
    1898 fi;
    1899 
    1900   # Check whether --enable-msvc or --disable-msvc was given.
    1901 if test "${enable_msvc+set}" = set; then
    1902   enableval="$enable_msvc"
    1903   enable_msvc=$enableval
    1904 else
    1905   enable_msvc=no
    1906      if test "$enable_doscompile" = msvc ; then
    1907        enable_msvc=yes
    1908      elif test "$enable_doscompile" != no ; then
    1909        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1910 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1911    { (exit 1); exit 1; }; }
    1912      fi
    1913 
    1914 fi;
    1915 
    1916   if test "$enable_msvc" = yes; then
    1917     case $build in
    1918       *-cygwin* | *-mingw*) ;;
    1919       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1920 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1921    { (exit 1); exit 1; }; } ;;
    1922     esac
    1923   fi
    1924 
    1925 
    1926  case $build in
     1892case $build in
    19271893  *-mingw*)
    19281894    if test "${LD+set}" = set; then :; else
     
    19311897    ;;
    19321898 esac
    1933  if test $enable_msvc = yes ; then
    1934    if test "x${LD+set}" = xset; then :; else
    1935      LD=link
     1899 case $enable_doscompile in
     1900   msvc)
     1901     if test "x${LD+set}" = xset; then :; else
     1902       LD=link
     1903     fi
     1904     ;;
     1905 esac
     1906
     1907
     1908 # Check whether --enable-doscompile or --disable-doscompile was given.
     1909if test "${enable_doscompile+set}" = set; then
     1910  enableval="$enable_doscompile"
     1911  if test "$enable_doscompile" != no; then
     1912     case $build in
     1913       *-cygwin* | *-mingw*) ;;
     1914       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1915echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1916   { (exit 1); exit 1; }; } ;;
     1917     esac
    19361918   fi
    1937  fi
     1919else
     1920  enable_doscompile=no
     1921fi;
     1922 case "$enable_doscompile" in
     1923   mingw)
     1924     case $build in
     1925       *-mingw*) enable_doscompile=no ;;
     1926     esac
     1927     ;;
     1928   msvc|no) ;;
     1929   yes) enable_doscompile=mingw ;;
     1930   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1931                    Try configure --help=recursive." >&5
     1932echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1933                    Try configure --help=recursive." >&2;}
     1934   { (exit 1); exit 1; }; }
     1935      ;;
     1936  esac
     1937  if test "$enable_doscompile" != no ; then
     1938    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1939echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1940  fi
    19381941
    19391942
     
    19781981case $build in
    19791982  *-cygwin* | *-mingw*)
    1980              if test "$enable_msvc" = yes ; then
    1981                comps="icl cl gcc"
     1983             if test "$enable_doscompile" = msvc ; then
     1984               comps="icl cl"
    19821985             else
    1983                comps="gcc icl cl"
     1986               comps="gcc cl"
    19841987             fi ;;
    19851988  *-*-solaris*)
     
    28342837            ;;
    28352838        esac
     2839        case $enable_doscompile in
     2840          mingw)
     2841            CFLAGS="-mno-cygwin"
     2842            cat >conftest.$ac_ext <<_ACEOF
     2843/* confdefs.h.  */
     2844_ACEOF
     2845cat confdefs.h >>conftest.$ac_ext
     2846cat >>conftest.$ac_ext <<_ACEOF
     2847/* end confdefs.h.  */
     2848
     2849int
     2850main ()
     2851{
     2852int i=0; i++;
     2853  ;
     2854  return 0;
     2855}
     2856_ACEOF
     2857rm -f conftest.$ac_objext conftest$ac_exeext
     2858if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2859  (eval $ac_link) 2>conftest.er1
     2860  ac_status=$?
     2861  grep -v '^ *+' conftest.er1 >conftest.err
     2862  rm -f conftest.er1
     2863  cat conftest.err >&5
     2864  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2865  (exit $ac_status); } &&
     2866         { ac_try='test -z "$ac_c_werror_flag"
     2867                         || test ! -s conftest.err'
     2868  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2869  (eval $ac_try) 2>&5
     2870  ac_status=$?
     2871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2872  (exit $ac_status); }; } &&
     2873         { ac_try='test -s conftest$ac_exeext'
     2874  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2875  (eval $ac_try) 2>&5
     2876  ac_status=$?
     2877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2878  (exit $ac_status); }; }; then
     2879  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2880else
     2881  echo "$as_me: failed program was:" >&5
     2882sed 's/^/| /' conftest.$ac_ext >&5
     2883
     2884fi
     2885rm -f conftest.err conftest.$ac_objext \
     2886      conftest$ac_exeext conftest.$ac_ext
     2887            CFLAGS=
     2888          ;;
     2889        esac
    28362890    esac
    28372891  fi
     
    31743228  clang* ) ;;
    31753229  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3176 
    3177  case $build in
     3230    case $build in
    31783231  *-mingw*)
    31793232    if test "${LD+set}" = set; then :; else
     
    31823235    ;;
    31833236 esac
    3184  if test $enable_msvc = yes ; then
    3185    if test "x${LD+set}" = xset; then :; else
    3186      LD=link
    3187    fi
    3188  fi
     3237 case $enable_doscompile in
     3238   msvc)
     3239     if test "x${LD+set}" = xset; then :; else
     3240       LD=link
     3241     fi
     3242     ;;
     3243 esac
    31893244
    31903245    ;;
     
    48244879*-*-irix6*)
    48254880  # Find out which ABI we are using.
    4826   echo '#line 4826 "configure"' > conftest.$ac_ext
     4881  echo '#line 4881 "configure"' > conftest.$ac_ext
    48274882  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48284883  (eval $ac_compile) 2>&5
     
    64236478
    64246479# Provide some information about the compiler.
    6425 echo "$as_me:6425:" \
     6480echo "$as_me:6480:" \
    64266481     "checking for Fortran 77 compiler version" >&5
    64276482ac_compiler=`set X $ac_compile; echo $2`
     
    74907545   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    74917546   -e 's:$: $lt_compiler_flag:'`
    7492    (eval echo "\"\$as_me:7492: $lt_compile\"" >&5)
     7547   (eval echo "\"\$as_me:7547: $lt_compile\"" >&5)
    74937548   (eval "$lt_compile" 2>conftest.err)
    74947549   ac_status=$?
    74957550   cat conftest.err >&5
    7496    echo "$as_me:7496: \$? = $ac_status" >&5
     7551   echo "$as_me:7551: \$? = $ac_status" >&5
    74977552   if (exit $ac_status) && test -s "$ac_outfile"; then
    74987553     # The compiler can only warn and ignore the option if not recognized
     
    77587813   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77597814   -e 's:$: $lt_compiler_flag:'`
    7760    (eval echo "\"\$as_me:7760: $lt_compile\"" >&5)
     7815   (eval echo "\"\$as_me:7815: $lt_compile\"" >&5)
    77617816   (eval "$lt_compile" 2>conftest.err)
    77627817   ac_status=$?
    77637818   cat conftest.err >&5
    7764    echo "$as_me:7764: \$? = $ac_status" >&5
     7819   echo "$as_me:7819: \$? = $ac_status" >&5
    77657820   if (exit $ac_status) && test -s "$ac_outfile"; then
    77667821     # The compiler can only warn and ignore the option if not recognized
     
    78627917   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78637918   -e 's:$: $lt_compiler_flag:'`
    7864    (eval echo "\"\$as_me:7864: $lt_compile\"" >&5)
     7919   (eval echo "\"\$as_me:7919: $lt_compile\"" >&5)
    78657920   (eval "$lt_compile" 2>out/conftest.err)
    78667921   ac_status=$?
    78677922   cat out/conftest.err >&5
    7868    echo "$as_me:7868: \$? = $ac_status" >&5
     7923   echo "$as_me:7923: \$? = $ac_status" >&5
    78697924   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    78707925   then
     
    1020710262  lt_status=$lt_dlunknown
    1020810263  cat > conftest.$ac_ext <<EOF
    10209 #line 10209 "configure"
     10264#line 10264 "configure"
    1021010265#include "confdefs.h"
    1021110266
     
    1030710362  lt_status=$lt_dlunknown
    1030810363  cat > conftest.$ac_ext <<EOF
    10309 #line 10309 "configure"
     10364#line 10364 "configure"
    1031010365#include "confdefs.h"
    1031110366
     
    1265112706   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1265212707   -e 's:$: $lt_compiler_flag:'`
    12653    (eval echo "\"\$as_me:12653: $lt_compile\"" >&5)
     12708   (eval echo "\"\$as_me:12708: $lt_compile\"" >&5)
    1265412709   (eval "$lt_compile" 2>conftest.err)
    1265512710   ac_status=$?
    1265612711   cat conftest.err >&5
    12657    echo "$as_me:12657: \$? = $ac_status" >&5
     12712   echo "$as_me:12712: \$? = $ac_status" >&5
    1265812713   if (exit $ac_status) && test -s "$ac_outfile"; then
    1265912714     # The compiler can only warn and ignore the option if not recognized
     
    1275512810   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1275612811   -e 's:$: $lt_compiler_flag:'`
    12757    (eval echo "\"\$as_me:12757: $lt_compile\"" >&5)
     12812   (eval echo "\"\$as_me:12812: $lt_compile\"" >&5)
    1275812813   (eval "$lt_compile" 2>out/conftest.err)
    1275912814   ac_status=$?
    1276012815   cat out/conftest.err >&5
    12761    echo "$as_me:12761: \$? = $ac_status" >&5
     12816   echo "$as_me:12816: \$? = $ac_status" >&5
    1276212817   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1276312818   then
     
    1432514380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1432614381   -e 's:$: $lt_compiler_flag:'`
    14327    (eval echo "\"\$as_me:14327: $lt_compile\"" >&5)
     14382   (eval echo "\"\$as_me:14382: $lt_compile\"" >&5)
    1432814383   (eval "$lt_compile" 2>conftest.err)
    1432914384   ac_status=$?
    1433014385   cat conftest.err >&5
    14331    echo "$as_me:14331: \$? = $ac_status" >&5
     14386   echo "$as_me:14386: \$? = $ac_status" >&5
    1433214387   if (exit $ac_status) && test -s "$ac_outfile"; then
    1433314388     # The compiler can only warn and ignore the option if not recognized
     
    1442914484   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1443014485   -e 's:$: $lt_compiler_flag:'`
    14431    (eval echo "\"\$as_me:14431: $lt_compile\"" >&5)
     14486   (eval echo "\"\$as_me:14486: $lt_compile\"" >&5)
    1443214487   (eval "$lt_compile" 2>out/conftest.err)
    1443314488   ac_status=$?
    1443414489   cat out/conftest.err >&5
    14435    echo "$as_me:14435: \$? = $ac_status" >&5
     14490   echo "$as_me:14490: \$? = $ac_status" >&5
    1443614491   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1443714492   then
     
    1663616691   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1663716692   -e 's:$: $lt_compiler_flag:'`
    16638    (eval echo "\"\$as_me:16638: $lt_compile\"" >&5)
     16693   (eval echo "\"\$as_me:16693: $lt_compile\"" >&5)
    1663916694   (eval "$lt_compile" 2>conftest.err)
    1664016695   ac_status=$?
    1664116696   cat conftest.err >&5
    16642    echo "$as_me:16642: \$? = $ac_status" >&5
     16697   echo "$as_me:16697: \$? = $ac_status" >&5
    1664316698   if (exit $ac_status) && test -s "$ac_outfile"; then
    1664416699     # The compiler can only warn and ignore the option if not recognized
     
    1690416959   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690516960   -e 's:$: $lt_compiler_flag:'`
    16906    (eval echo "\"\$as_me:16906: $lt_compile\"" >&5)
     16961   (eval echo "\"\$as_me:16961: $lt_compile\"" >&5)
    1690716962   (eval "$lt_compile" 2>conftest.err)
    1690816963   ac_status=$?
    1690916964   cat conftest.err >&5
    16910    echo "$as_me:16910: \$? = $ac_status" >&5
     16965   echo "$as_me:16965: \$? = $ac_status" >&5
    1691116966   if (exit $ac_status) && test -s "$ac_outfile"; then
    1691216967     # The compiler can only warn and ignore the option if not recognized
     
    1700817063   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1700917064   -e 's:$: $lt_compiler_flag:'`
    17010    (eval echo "\"\$as_me:17010: $lt_compile\"" >&5)
     17065   (eval echo "\"\$as_me:17065: $lt_compile\"" >&5)
    1701117066   (eval "$lt_compile" 2>out/conftest.err)
    1701217067   ac_status=$?
    1701317068   cat out/conftest.err >&5
    17014    echo "$as_me:17014: \$? = $ac_status" >&5
     17069   echo "$as_me:17069: \$? = $ac_status" >&5
    1701517070   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1701617071   then
     
    2045020505echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2045120506coin_link_input_cmd="$LN_S"
     20507if test "$enable_doscompile" = mingw; then
     20508  coin_link_input_cmd=cp
     20509fi
    2045220510case "$CC" in
    2045320511  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.